New MediaProxy release 2.3.3

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

New MediaProxy release 2.3.3

Adrian Georgescu
Hello,

There is a new release of MediaProxy available, it contains various bug fixes. To upgrade your debian installation:

apt-get update
apt-get install mediaproxy-dispatcher mediaproxy-relay mediaproxy-web-sessions

Or download the tar file from:

http://download.ag-projects.com/MediaProxy/

The changelog since 2.3.2 is below:

mediaproxy (2.3.3) unstable; urgency=low

  * Re-raise the exception on failing to read RADIUS config file so we get a
    full traceback
  * Have dispatcher close TLS connection cleanly when relay has duplicate IP
  * Added log_level to both Relay and Dispatcher configuration sections
  * Improved reconnection behaviour in relay to dispatcher
    When the connection from the relay to the dispatcher is lost, first retry
    in 1 second, then retry in 10 second on subsequent attempts if it loses
    the connection again.
  * Fix bug where relay connects needlessly to previously removed dispatcher
  * Implemented a keepalive mechanism from relay to dispatcher
  * On relay reconnect don't have dispatcher query expired sessions
  * Removed superfluous datatype declaration
  * Only allow positive integers for time intervals and delays
  * Updated version dependency for python-application
  * In dispatcher, replace old connection from relay with new one instead of
    giving an error
  * In the dispatcher, check if the reported expired session belongs to the
    relay that reported it
  * Improved log messages when a relay reconnects to the dispatcher
  * In dispatcher, break the connection to a relay if a request times out
  * In dispatcher check if we know about the session that expired at relay
  * Use a more robust strategy to disconnect an unresponsive relay


Kind regards,
Adrian Georgescu



_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: New MediaProxy release 2.3.3

Jeff Pyle
Re: [OpenSIPS-Users] New MediaProxy release 2.3.3 Hello,

I attempted an upgrade from 2.3.2, recompiling from source.  Everything seemed to build and install okay.  But, when running media-dispatcher on 2.3.3, I receive the following error:

Traceback (most recent call last):
  File "/usr/bin/media-dispatcher", line 32, in ?
    log.level.current = config_file.get_option("Dispatcher", 'log_level', default=log.level.DEBUG, type=datatypes.LogLevel)
AttributeError: 'module' object has no attribute 'level'


I reinstalled 2.3.2 and the error went away.


- Jeff



On 4/8/09 5:08 AM, "Adrian Georgescu" <ag@...> wrote:

> Hello,
>
> There is a new release of MediaProxy available, it contains various bug fixes.
> To upgrade your debian installation:
>
> apt-get update
> apt-get install mediaproxy-dispatcher mediaproxy-relay mediaproxy-web-sessions
>
> Or download the tar file from:
>
> http://download.ag-projects.com/MediaProxy/
>
> The changelog since 2.3.2 is below:
>
> mediaproxy (2.3.3) unstable; urgency=low
>
>   * Re-raise the exception on failing to read RADIUS config file so we get a
>     full traceback
>   * Have dispatcher close TLS connection cleanly when relay has duplicate IP
>   * Added log_level to both Relay and Dispatcher configuration sections
>   * Improved reconnection behaviour in relay to dispatcher
>     When the connection from the relay to the dispatcher is lost, first retry
>     in 1 second, then retry in 10 second on subsequent attempts if it loses
>     the connection again.
>   * Fix bug where relay connects needlessly to previously removed dispatcher
>   * Implemented a keepalive mechanism from relay to dispatcher
>   * On relay reconnect don't have dispatcher query expired sessions
>   * Removed superfluous datatype declaration
>   * Only allow positive integers for time intervals and delays
>   * Updated version dependency for python-application
>   * In dispatcher, replace old connection from relay with new one instead of
>     giving an error
>   * In the dispatcher, check if the reported expired session belongs to the
>     relay that reported it
>   * Improved log messages when a relay reconnects to the dispatcher
>   * In dispatcher, break the connection to a relay if a request times out
>   * In dispatcher check if we know about the session that expired at relay
>   * Use a more robust strategy to disconnect an unresponsive relay
>
>
> Kind regards,
> Adrian Georgescu
>
>
>
>
> _______________________________________________
> Users mailing list
> Users@...
> http://lists.opensips.org/cgi-bin/mailman/listinfo/users

_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: New MediaProxy release 2.3.3

Adrian Georgescu
I personally do not know what you are doing wrong. If you recompile from sources it depends on many factors, what system you have and what dependencies your have also installed. So is hard to understand what the source of your problem might be from the few information you have provided.

Maybe other people can share their experience to see if your problem surfaces someplace else.

Regards,
Adrian

On Apr 8, 2009, at 4:54 PM, Jeff Pyle wrote:

Hello,

I attempted an upgrade from 2.3.2, recompiling from source.  Everything seemed to build and install okay.  But, when running media-dispatcher on 2.3.3, I receive the following error:

Traceback (most recent call last):
  File "/usr/bin/media-dispatcher", line 32, in ?
    log.level.current = config_file.get_option("Dispatcher", 'log_level', default=log.level.DEBUG, type=datatypes.LogLevel)
AttributeError: 'module' object has no attribute 'level'


I reinstalled 2.3.2 and the error went away.


- Jeff



On 4/8/09 5:08 AM, "Adrian Georgescu" <ag@...> wrote:

> Hello,
>
> There is a new release of MediaProxy available, it contains various bug fixes.
> To upgrade your debian installation:
>
> apt-get update
> apt-get install mediaproxy-dispatcher mediaproxy-relay mediaproxy-web-sessions
>
> Or download the tar file from:
>
> http://download.ag-projects.com/MediaProxy/
>
> The changelog since 2.3.2 is below:
>
> mediaproxy (2.3.3) unstable; urgency=low
>
>   * Re-raise the exception on failing to read RADIUS config file so we get a
>     full traceback
>   * Have dispatcher close TLS connection cleanly when relay has duplicate IP
>   * Added log_level to both Relay and Dispatcher configuration sections
>   * Improved reconnection behaviour in relay to dispatcher
>     When the connection from the relay to the dispatcher is lost, first retry
>     in 1 second, then retry in 10 second on subsequent attempts if it loses
>     the connection again.
>   * Fix bug where relay connects needlessly to previously removed dispatcher
>   * Implemented a keepalive mechanism from relay to dispatcher
>   * On relay reconnect don't have dispatcher query expired sessions
>   * Removed superfluous datatype declaration
>   * Only allow positive integers for time intervals and delays
>   * Updated version dependency for python-application
>   * In dispatcher, replace old connection from relay with new one instead of
>     giving an error
>   * In the dispatcher, check if the reported expired session belongs to the
>     relay that reported it
>   * Improved log messages when a relay reconnects to the dispatcher
>   * In dispatcher, break the connection to a relay if a request times out
>   * In dispatcher check if we know about the session that expired at relay
>   * Use a more robust strategy to disconnect an unresponsive relay
>
>
> Kind regards,
> Adrian Georgescu
>
>
>
>
> _______________________________________________
> Users mailing list
> Users@...
> http://lists.opensips.org/cgi-bin/mailman/listinfo/users


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: New MediaProxy release 2.3.3

Ruud Klaver
In reply to this post by Jeff Pyle
Hi Jeff,

On 08 Apr 2009, at 16:54, Jeff Pyle wrote:

> Hello,
>
> I attempted an upgrade from 2.3.2, recompiling from source.  
> Everything seemed to build and install okay.  But, when running  
> media-dispatcher on 2.3.3, I receive the following error:
>
> Traceback (most recent call last):
>   File "/usr/bin/media-dispatcher", line 32, in ?
>     log.level.current = config_file.get_option("Dispatcher",  
> 'log_level', default=log.level.DEBUG, type=datatypes.LogLevel)
> AttributeError: 'module' object has no attribute 'level'
>
>
> I reinstalled 2.3.2 and the error went away.
>
>
> - Jeff

You will need to update python-application as well.

Ruud Klaver
AG Projects

_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: New MediaProxy release 2.3.3

Dan Pascu
In reply to this post by Jeff Pyle
On Wednesday 08 April 2009, Jeff Pyle wrote:

> Hello,
>
> I attempted an upgrade from 2.3.2, recompiling from source.  Everything
> seemed to build and install okay.  But, when running media-dispatcher
> on 2.3.3, I receive the following error:
>
> Traceback (most recent call last):
>   File "/usr/bin/media-dispatcher", line 32, in ?
>     log.level.current = config_file.get_option("Dispatcher",
> 'log_level', default=log.level.DEBUG, type=datatypes.LogLevel)
> AttributeError: 'module' object has no attribute 'level'

The updated dependencies are listed in INSTALL.

>
>
> I reinstalled 2.3.2 and the error went away.


--
Dan

_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: New MediaProxy release 2.3.3

bay2x1
I am also encountering this kind of problem and I have updated my python-application to the current available version but I am still encountering the problem.



Dan Pascu wrote
On Wednesday 08 April 2009, Jeff Pyle wrote:
> Hello,
>
> I attempted an upgrade from 2.3.2, recompiling from source.  Everything
> seemed to build and install okay.  But, when running media-dispatcher
> on 2.3.3, I receive the following error:
>
> Traceback (most recent call last):
>   File "/usr/bin/media-dispatcher", line 32, in ?
>     log.level.current = config_file.get_option("Dispatcher",
> 'log_level', default=log.level.DEBUG, type=datatypes.LogLevel)
> AttributeError: 'module' object has no attribute 'level'

The updated dependencies are listed in INSTALL.

>
>
> I reinstalled 2.3.2 and the error went away.


--
Dan

_______________________________________________
Users mailing list
Users@lists.opensips.org
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: New MediaProxy release 2.3.3

Dan Pascu
On Monday 13 April 2009, bay2x1 wrote:
> I am also encountering this kind of problem and I have updated my
> python-application to the current available version but I am still

Which exactly is the 'current available version'?

> encountering the problem.
>
> On Wednesday 08 April 2009, Jeff Pyle wrote:
> > Hello,
> >
> > I attempted an upgrade from 2.3.2, recompiling from source.
> > Everything seemed to build and install okay.  But, when running
> > media-dispatcher on 2.3.3, I receive the following error:
> >
> > Traceback (most recent call last):
> >   File "/usr/bin/media-dispatcher", line 32, in ?
> >     log.level.current = config_file.get_option("Dispatcher",
> > 'log_level', default=log.level.DEBUG, type=datatypes.LogLevel)
> > AttributeError: 'module' object has no attribute 'level'
>
> The updated dependencies are listed in INSTALL.
>
> > I reinstalled 2.3.2 and the error went away.

--
Dan

_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: New MediaProxy release 2.3.3

Gavin Henry
apt-get install python-application to 1.1.1 works for us on Debian
lenny building mediaproxy from source.

sylar:/usr/local/src/mediaproxy-2.3.4# media-dispatcher
Traceback (most recent call last):
  File "/usr/bin/media-dispatcher", line 32, in <module>
    log.level.current = config_file.get_option("Dispatcher",
'log_level', default=log.level.DEBUG, type=datatypes.LogLevel)
AttributeError: 'module' object has no attribute 'level'


sylar:/usr/local/src/mediaproxy-2.3.4# media-relay
Traceback (most recent call last):
  File "/usr/bin/media-relay", line 36, in <module>
    log.level.current = config_file.get_option("Relay", 'log_level',
default=log.level.DEBUG, type=datatypes.LogLevel)
AttributeError: 'module' object has no attribute 'level'

sylar:/usr/local/src/mediaproxy-2.3.4# apt-get install python-application
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be upgraded:
  python-application
1 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
Need to get 26.8kB of archives.
After this operation, 28.7kB of additional disk space will be used.
Get: 1 http://ag-projects.com testing/main python-application 1.1.1 [26.8kB]
Fetched 26.8kB in 1s (16.1kB/s)
(Reading database ... 42928 files and directories currently installed.)
Preparing to replace python-application 1.0.9-4 (using
.../python-application_1.1.1_all.deb) ...
Unpacking replacement python-application ...
Processing triggers for python-support ...
Setting up python-application (1.1.1) ...
Processing triggers for python-support ...


sylar:/usr/local/src/mediaproxy-2.3.4# /etc/init.d/mediaproxy-relay start
Starting MediaProxy relay: media-relay.

_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users